#include "DxLib.h"

int Key[256];

int UpdateKeyStateAll(void) {
	char KeyBuf[256];
	int i;
	if(GetHitKeyStateAll(KeyBuf))return -1;
	for(i=0;i<256;i++) {
		if(KeyBuf[i])Key[i]++; else Key[i]=0;
	}
	return 0;
}

// Twitter̐1252x626 
const int SCREEN_WIDTH = 1252;
const int SCREEN_HEIGHT = 626;

int lightHandle;
int circleHandle[2];

// pp 
void DrawString2(int x,int y,const char* str,int color,int alpha) {
	char buf[4]={0};
	int pos=y;
	const char* now;
	SetDrawBlendMode(DX_BLENDMODE_ALPHA,alpha);
	for(now=str;*now;now++) {
		buf[0]=*now;
		DrawString(x-GetDrawStringWidth(buf,1)/2,pos,buf,color);
		pos+=GetFontSize();
	}
	int size=GetFontSize()/2;
	int y1=y+size/2;
	int y2=pos-size/2;
	SetDrawBlendMode(DX_BLENDMODE_ALPHA,alpha/2);
	DrawExtendGraph(x-size,y1-size,x+size,y1,circleHandle[0],TRUE);
	DrawExtendGraph(x-size,y1,x+size,y2,lightHandle,TRUE);
	DrawExtendGraph(x-size,y2,x+size,y2+size,circleHandle[1],TRUE);
}

int WINAPI WinMain( HINSTANCE hInstance, HINSTANCE hPrevInstance,LPSTR lpCmdLine, int nCmdShow ){
	SetGraphMode(SCREEN_WIDTH,SCREEN_HEIGHT,32);
	if( ChangeWindowMode(TRUE) != DX_CHANGESCREEN_OK || DxLib_Init() == -1 ) return -1; //
	SetDrawScreen( DX_SCREEN_BACK );        //ʂɐݒ
	SetBackgroundColor(0,17,125);
	ChangeFont("Impact",DX_CHARSET_DEFAULT);
	ChangeFontType(DX_FONTTYPE_ANTIALIASING_8X8);
	SetFontSize(SCREEN_HEIGHT/13);
	
	lightHandle=LoadGraph("light.png");
	LoadDivGraph("circle.png",2,1,2,512,256,circleHandle);
	SetDrawMode(DX_DRAWMODE_BILINEAR);

	while(!ProcessMessage() && !ClearDrawScreen() && !UpdateKeyStateAll() && !Key[KEY_INPUT_ESCAPE]){
		//үޏ         ʂر          ްޓ͏Ԏ擾   ESCĂȂ

		//RRɏĂ
		
		DrawString2(100,0,"1234567890123",GetColor(255,255,255),105);

		ScreenFlip();//ʂ\ʂɔf
	}

	DxLib_End();
	return 0;
}
